@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cinzel:wght@400..900&display=swap');

:root {
    --primary-color: #fcfaf0;
    --secondary-color: #0a3247;
    /* --tertiary-color: #ffdd00; */
    --body-color: #2c2c2c;

    --primary-light: #fcfaf08e;
    --secondary-light: rgba(230, 227, 255, 0.342);
    --body-light: #b2b2b2;

    --lightgray: #f5f5f5;
    --lightgreen: #fafff9;
    --white: #fff;

    --josefin: "Josefin Sans", sans-serif;
    --facebook: #4267B2;
    --twitter: #00acee;
    --linkedin: #0e76a8;
    --youtube: #FF0000;
    --whatsapp: #25D366;
    --instagram: #c92bb7;

    --cinzel: "Cinzel", serif;
    /* --midsun: 'Mid Mid Sun Sun'; */
}

:root {
    --radius-1: 70%;
    --radius-2: 30%;
    --radius-3: 30%;
    --radius-4: 70%;
    --radius-5: 60%;
    --radius-6: 40%;
    --radius-7: 60%;
    --radius-8: 40%;
}

/* ----------------------------------------------------
bg background
 ---------------------------------------------------- */
.bg-white {
    background-color: #fff;
}

.bg-primary {
    background-color: var(--primary-color) !important;
}

.bg-secondary {
    background-color: var(--secondary-color) !important;
}

.bg-primary-light {
    background-color: var(--primary-light) !important;
}

.bg-secondary-light {
    background-color: var(--secondary-light) !important;
}

/* ----------------------------------------------------
text color
 ---------------------------------------------------- */
.text-primary {
    color: var(--primary-color) !important;
}

.text-secondary {
    color: var(--secondary-color) !important;
}

.text-primary-light {
    color: var(--primary-light) !important;
}

.text-secondary-light {
    color: var(--secondary-light) !important;
}


/* ---------------------------------------------------
 hover animation
 --------------------------------------------------- */
/* .hoverEffect:hover {
    transform: translateY(-5px);
    transition: transform 0.3s ease;
} */

/* ----------------------------------------------------
social icons
---------------------------------------------------- */
.social-links {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
}

.social-links a i {
    font-size: 13px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    color: #fff;
    transition: all 300ms ease-in-out;
    text-align: center;
}

.social-links a i.sm {
    width: 32px;
    height: 32px;
}

.social-links a .bi-facebook {
    background-color: var(--facebook);
}

.social-links a .bi-linkedin {
    background-color: var(--linkedin);
}

.social-links a .bi-twitter-x {
    background-color: var(--twitter);
}

.social-links a .bi-youtube {
    background-color: var(--youtube);
}

.social-links a .bi-whatsapp {
    background-color: var(--whatsapp);
}

.social-links a .bi-instagram {
    background-color: var(--instagram);
}

.social-links a:hover i {
    background-color: #fff;
    box-shadow: 0 0 10px rgb(0 0 0 / 10%);
}

.social-links a:hover .bi-facebook {
    color: var(--facebook);
}

.social-links a:hover .bi-linkedin {
    color: var(--linkedin);
}

.social-links a:hover .bi-twitter-x {
    color: var(--twitter);
}

.social-links a:hover .bi-youtube {
    color: var(--youtube);
}

.social-links a:hover .bi-whatsapp {
    color: var(--whatsapp);
}

.social-links a:hover .bi-instagram {
    color: var(--instagram);
}

/* social icons */

/* -----------------------------------------------------
back to top button
----------------------------------------------------- */
#myBtn {
    display: none;
    position: fixed;
    bottom: 20px;
    right: 30px;
    width: 40px;
    height: 40px;
    font-size: 17px;
    border: none;
    outline: none;
    color: var(--white);
    cursor: pointer;
    border-radius: 50%;
    border: 1px solid var(--secondary-color);
    background-color: var(--secondary-color);
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
    z-index: 999;
}

#myBtn:hover {
    background-color: var(--primary-color);
    color: var(--secondary-color);
}

/* -----------------------------------------------------
swiper
----------------------------------------------------- */
.swiper {
    width: 100%;
    height: 100%;
}

.swiper-slide {
    text-align: center;
    font-size: 18px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* ------------------------------------------
swiper-pagination
------------------------------------------ */
.swiper-pagination {
    text-align: center;
    margin-top: 15px;
}

.swiper-pagination-bullet {
    width: 12px;
    height: 12px;
    background: #ccc;
    opacity: 1;
    border-radius: 50%;
    margin: 0 5px;
    transition: background 0.3s, transform 0.3s;
}

.swiper-pagination-bullet-active {
    background: #ffb800;
    transform: scale(1.4);
}

/* ----------------------------------------------------
 swiper-button-next, swiper-button-prev
 ---------------------------------------------------- */
.swiper-button-next,
.swiper-button-prev {
    width: 40px;
    height: 40px;
    background-color: var(--primary-color);
    color: var(--white);
    border-radius: 50%;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
    transition: all 0.3s ease;
    border: 1px solid #d4d4d4;
}

.swiper-button-next:hover,
.swiper-button-prev:hover {
    /* border:1px solid var(--primary-color); */
    background-color: var(--secondary-color);
    color: var(--white);
    transform: scale(1.1);
}

.swiper-button-next::after,
.swiper-button-prev::after {
    color: var(--secondary-color);
    font-size: 16px;
    font-weight: bold;
}


.swiper-button-next:hover::after,
.swiper-button-prev:hover::after {
    color: var(--primary-color);
}

/* 
.swiper-button-next {
    right: 10px;
}

.swiper-button-prev {
    left: 10px;
} */


/* ----------------------------------------------------
.swiper-button-next.bg-secondary
.swiper-button-prev.bg-secondary
---------------------------------------------------- */
.swiper-button-next.bg-secondary,
.swiper-button-prev.bg-secondary {
    background-color: var(--secondary-color);
    color: var(--white);
    border: 1px solid #d4d4d4;

}

.swiper-button-next.bg-secondary:hover,
.swiper-button-prev.bg-secondary:hover {
    background-color: var(--primary-color) !important;
    color: var(--secondary-color);
}


.swiper-button-next.bg-secondary::after,
.swiper-button-prev.bg-secondary::after {
    color: var(--primary-color);
}

.swiper-button-next.bg-secondary:hover::after,
.swiper-button-prev.bg-secondary:hover::after {
    color: var(--secondary-color);
}


/* ----------------------------------------
 imgOverlay
 ---------------------------------------- */
.imgOverlay {
    position: absolute;
    width: 500px;
    top: 50px;
    left: 50%;
    transform: translateX(-50%);
    z-index: -1;
    opacity: 0.05;
}

.imgOverlay img {
    width: 100%;
}

/* -------------------------------------------
 imgSection
 ------------------------------------------- */
.imgSection::before {
    content: "";
    position: absolute;
    inset: 0;
    height: 100%;
    width: 100%;
    background: #03030336;
    z-index: 2;
}

.imgContent {
    position: absolute;
    inset: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 80%;
    margin: 0 auto;
    z-index: 3;
}


.imgContent h1 {
    color: var(--white);
    font-family: var(--cinzel);
    font-weight: 600;
    text-align: center;
    text-shadow: 2px 2px var(--secondary-color);
}


/* border */
.borderColor {
    position: relative;
    z-index: 1;
}

.borderColor::before {
    content: "";
    position: absolute;
    inset: 10px;
    border: 1px dashed var(--secondary-color);
    transition: all 300ms ease-in-out;
    z-index: -1;
}

.borderColor:hover::before {
    background-color: #fff;
}


/* ----------------------------------------------------
Custom Scroll
---------------------------------------------------- */
.scroller {
    height: 240px;
    overflow: auto;
}

.scroller::-webkit-scrollbar {
    width: 5px;
}

/* Track */
.scroller::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px #adadad;
    border-radius: 10px;
}

/* Handle */
.scroller::-webkit-scrollbar-thumb {
    background: #2957a4;
    border-radius: 10px;
}

/* Handle on hover */
.scroller::-webkit-scrollbar-thumb:hover {
    background: var(--primary-color);
}

/* Custom Scroll */

/* -------------------------------------------------
 General Styling
 ------------------------------------------------- */
body {
    font-family: "Poppins", sans-serif;
}

a {
    text-decoration: none;
}

.padding {
    padding-top: 4rem;
    padding-bottom: 4rem;
}

/* .borderRadius {
    border-radius: 10px;
    border-color: var(--primary-color) !important;
    border: 1px solid;
    border-bottom: 10px solid;
} */

/* ul */
ul.list {
    margin: 0;
    padding: 0;
}

ul.list li {
    padding: 10px 0;
}

ul.list li:first-child {
    padding-top: 0;
}

/* --------------------------------------------------
heading
--------------------------------------------------  */
.heading {
    margin-bottom: 30px;
}

.heading h2 {
    /* margin: 0; */
    font-size: 2.3rem;
    font-family: var(--cinzel);
    /* text-transform: uppercase; */
}

.heading p {
    margin-top: 1rem;
    display: block;
}

/* -------------------------------------------------
button
------------------------------------------------- */
/* -------------------------------------------------
button
------------------------------------------------- */
.readmore {
    gap: 5px;
}

.readmore .button {
    background-color: var(--secondary-color);
    border: 1px solid var(--primary-color);
    position: relative;
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: fit-content;
    font-weight: 400;
    font-size: 14px;
    /* border-radius: 50px; */
    padding: 9px 1.6rem;
    text-transform: uppercase;
    color: var(--white);
    overflow: hidden;
    transition: all ease-in-out 0.3s;
    gap: 5px;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.readmore .button:hover {
    background-color: var(--primary-color);
    border: 1px solid var(--secondary-color);
    color: var(--secondary-color);
}

.readmore .button.white {
    background-color: var(--primary-color);
    border: 1px solid var(--primary-color);
    position: relative;
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: fit-content;
    font-weight: 400;
    font-size: 14px;
    /* border-radius: 50px; */
    padding: 9px 1.6rem;
    text-transform: uppercase;
    color: var(--white);
    overflow: hidden;
    transition: all ease-in-out 0.3s;
    gap: 5px;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}



/* white */
.readmore {
    gap: 5px;
}

.readmore .button.white {
    background-color: var(--white);
    color: var(--primary-color);
}

.readmore .button.white:hover {
    background-color: var(--primary-color);
    color: var(--white);
    border: 1px solid var(--white);
}


/* learnMore */
.learnMore .button {
    background: transparent;
    /* color: var(--primary-color); */
    font-size: 13px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-transform: uppercase;
    gap: 2px;
}

.learnMore .button i {
    font-size: 10px;
    filter: invert(0);
}


/* learnMore white */
.learnMore .button.white {
    background: transparent;
    color: var(--white);
    font-size: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2px;
}

/* ------------------------------------------------
form
------------------------------------------------ */

/* --------------------------------------------------
modal
-------------------------------------------------- */
.modal-backdrop.show {
    opacity: 1;
    background: rgb(0 10 12 / 95%);
    backdrop-filter: blur(5px);
}

.modal-content {
    background: #fff;
    box-shadow: 0 8px 32px 0 rgba(0 0 0 / 20%);
    border-radius: 0.5rem;
    background-color: #fff;
    color: var(--body-color);
    border: none;
}



button.close {
    position: absolute;
    right: -20px;
    top: -20px;
    width: 40px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    border-radius: 50%;
    background-color: #fff;
    opacity: 1;
    text-shadow: none;
}

.close:not(:disabled):not(.disabled):focus,
.close:not(:disabled):not(.disabled):hover {
    color: #fff;
    opacity: 1;
    background-color: var(--secondary-color);
}



.modal-dialog {
    max-width: 650px;
}

.modal-content .modal-header {
    padding: 0;
    border: none;
}

.modal-content button.close {
    position: absolute;
    top: -10px;
    right: -10px;
    padding: 0;
    margin: 0;
    width: 40px;
    height: 40px;
    z-index: 1;
    text-shadow: none;
    color: var(--white);
    outline: none;
    border: none;
    background-color: var(--secondary-color);
    opacity: 1;
}

.modal-content .freePickmodal {
    margin-top: 10px;
    display: block;
    font-size: 13px;
    text-align: center;
}

.modal-header .close {
    color: #fff;
}

.modal-header {
    background: none;
    border: none;
}

.modal-logo .inner {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    gap: 1rem;
}

.modal-logo .inner .logo {
    min-width: 200px;
}

.modal-logo .inner .logo img {
    width: 100%;
}

.modal-logo .bhk {
    font-size: 1rem;
}

.modal-logo .bhk span {
    font-size: 200%;
    display: block;
    font-weight: 700;
    margin-bottom: 10px;
    line-height: 1;
    font-family: var(--cinzel);
}

.modal-logo .price {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    padding: 10px 0;
    border: solid rgb(255 255 255 / 20%);
    border-width: 1px 0;
    font-size: 1rem;
}

.modal-logo .price span {
    font-weight: 700;
    color: var(--vibrant-color);
    font-size: 200%;
    line-height: 1;
}

.modal-body {
    padding: 1.5rem;
}

/* -------------------------------------------------
header
------------------------------------------------- */
.header {
    width: 100%;
    height: 80px;
    position: fixed;
    top: 0;
    display: flex;
    justify-content: space-around;
    align-items: center;
    z-index: 998;
    padding: 1rem;
    background-color: var(--primary-color);
    /* transition: all 300ms ease-in-out;
    background-size: 100% 0%;
    background-repeat: no-repeat; */
}

.logo {
    width: 160px;
    z-index: 2;
    padding: 10px;
    transition: all 300ms ease-in-out;
}

.logo img {
    width: 100%;
}

.header .nav {
    height: 100%;
}

.header .nav>ul {
    display: flex;
    align-items: center;
    position: relative;
    margin: 0;
}

.header .nav>ul>li>a {
    text-transform: uppercase;
    display: flex;
    align-items: center;
    position: relative;
    transition: all 300ms ease-in-out;
    padding: 0 1.5rem;
    color: var(--body-color);
    z-index: 1;
    font-size: 0.9rem;
}

.header .nav>ul>li:hover>a {
    color: var(--secondary-color);
}

.header .nav ul li:hover>a::before {
    width: 100%;
}


/* topCTC */
.header .topCTC {
    display: flex;
    gap: 10px;
    color: var(--body-color);
    border: 1px solid #0b334831;
    letter-spacing: 2px;
    padding: 0.6rem;
    font-size: 0.9rem;
    border-radius: 4px;
    text-transform: uppercase;
}

.header .topCTC i {
    border-right: 1px solid var(--body-light);
    margin-right: 3px;
    padding-right: 10px;
    color: var(--secondary-color);
}

/* topCTC */



.header.fixed .menuBtn span::before {
    background: var(--body-color);
}

.menuBtn {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #fff;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    transition: all 300ms ease-in-out;
    position: relative;
    cursor: pointer;
}

.header.fixed .menuBtn {
    width: 40px;
    height: 40px;
}

.menuBtn div {
    position: relative;
    width: 50%;
    overflow: hidden;
    display: inline-block;
    vertical-align: middle;
    transition: all 300ms ease-in-out;
}

.menuBtn span {
    display: block;
    position: relative;
    width: 100%;
    height: 2px;
    margin: 3px 0;
    transition: all 0.6s cubic-bezier(0.785, 0.135, 0.15, 0.86);
}

.menuBtn span::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--body-color);
    transform-origin: center center;
    transition: all 0.6s cubic-bezier(0.785, 0.135, 0.15, 0.86);
}

.menuBtn.closeMenuBtn span#menuLine1 {
    -webkit-transform: rotate(45deg) translate(4px, 4px);
    transform: rotate(45deg) translate(4px, 4px);
}

.menuBtn.closeMenuBtn span#menuLine2 {
    right: 100px;
}

.menuBtn.closeMenuBtn span#menuLine3 {
    -webkit-transform: rotate(-45deg) translate(4px, -5px);
    transform: rotate(-45deg) translate(4px, -5px);
}

/* ----------------------------------------------------------
menuContainer 
---------------------------------------------------------- */
.menuContainer {
    position: fixed;
    inset: 0;
    padding-top: 85px;
    z-index: 996;
    background-color: rgb(0 123 255 / 13%);
    backdrop-filter: blur(5px);
    display: none;
}

.menuContainer .inner {
    padding: 5px 15px;
    width: 100%;
    visibility: hidden;
    background: var(--primary-color);
    background: radial-gradient(circle at 50% -10%, var(--secondary-color), var(--primary-color));
    box-shadow: 0 1rem 3rem rgb(0 0 0 / 16%);
    transition: all 300ms ease-in-out;
}

.header.fixed+.menuContainer {
    padding-top: calc(1rem + 80px);
}

.menuContainer.active .inner {
    visibility: visible;
}

.menuContainer a {
    color: #fff;
    transition: all 300ms ease-in-out;
}

.mainMenu li:not(:last-child) a {
    border-bottom: 1px solid rgb(255 255 255 / 15%);
}

.mainMenu a {
    padding: 10px 0;
    font-weight: 700;
    display: block;
    position: relative;
}

/* .mainMenu li.active>a,
.mainMenu li:hover>a {
  padding: 10px;
  background-color: #fff;
  color: var(--primary-color);
} */

.mainMenu a i {
    font-size: 75%;
    position: absolute;
    right: 0;
    top: 50%;
    line-height: 0;
    transition: all 300ms ease-in-out;
}

.mainMenu li.active>a i,
.mainMenu li:hover>a i {
    right: 10px;
}

.mainMenu li.active>a i {
    transform: rotate(540deg);
}

.menuDrop {
    padding: 5px 15px;
    margin-bottom: 10px;
    background-color: rgba(255, 255, 255, 0.1);
    display: none;
}

.mainMenu ul ul li:last-child a {
    border-bottom: 0;
}

/* ---------------------------------------------------
 stickyForm
 ---------------------------------------------------  */
.stickyForm {
    /* width: 600px; */
    /* position: absolute; */
    /* right: 10px; */
    /* bottom: 1rem; */
    background-color: #fff;
    color: var(--body-color);
    text-align: center;
    transition: all 300ms ease-in-out;
    z-index: 99;
    padding: 1rem;
}


.form-close {
    position: absolute;
    right: -2px;
    top: 0;
    transform: translateY(-50%);
    width: 32px;
    height: 32px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    cursor: pointer;
    transition: all 300ms ease-in-out;
}

.form-close:hover {
    background: var(--secondary-color);
}


.stickyForm h6,
.stickyForm .form-bhk {
    text-transform: uppercase;
    font-weight: 700;
    color: var(--body-color);
    font-family: var(--cinzel);
}

.stickyForm .form-bhk {
    padding: 0.2rem 0 0.5rem 0;
    border-bottom: solid rgb(0 0 0 / 10%);
    border-width: 1px 0;
}

.stickyForm .form-group {
    margin-bottom: 10px;
}

.stickyForm .form-control,
.modal-body .form-control {
    border-bottom: 2px solid #eaeaea;
    background-color: #f1f1f1;
    color: var(--body-color);
    padding: 6.5px 10px;
    font-size: 14px;
}

.stickyForm span {
    margin-top: 10px;
    display: block;
    font-size: 13px;
}

.stickyForm .freePick {
    font-size: 11px;
}

/* -----------------------------------------------------------
 banner
 ----------------------------------------------------------- */
.banner {
    height: calc(100vh - 80px);
    margin-top: 80px;
    background: var(--primary-light);
    overflow: hidden;
    position: relative;
}

.banner .bannerImg {
    width: 100%;
    height: calc(100vh - 80px);
    z-index: 1;
}

.banner .bannerImg img {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.banner::before {
    content: "";
    position: absolute;
    inset: 0;
    height: 100%;
    width: 100%;
    /* background: linear-gradient(rgba(255, 255, 255, 0.55), rgba(255, 255, 255, 0) 10%, #0b3348a2 100%); */
    /* background: linear-gradient(to bottom, transparent 50%, #0b3348a2 100%); */
    background: #03030336;
    z-index: 2;
}

.bannerContent {
    position: absolute;
    inset: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 100%;
    margin: 0 auto;
    z-index: 3;
    bottom: 49%;
}

.bannerContent h1 {
    color: var(--white);
    font-family: var(--cinzel);
    font-weight: 600;
    text-align: center;
    text-shadow: 2px 2px var(--secondary-color);
    font-size: 3rem; */
    background: #212842;
    padding: 10px;
    background: var(--secondary-color);
}


/* bannerWhatsappBtn */
.bannerWhatsappBtn {
    position: absolute;
    left: 2rem;
    bottom: 2rem;
    background-color: var(--white);
    /* background: linear-gradient(135deg, #075E54, #128C7E, #25D366); */
    border-radius: 50px;
    text-decoration: none;
    width: 40px;
    height: 40px;
    display: flex;
    border: 1px solid var(--white);
    padding: 7px;
    animation: pulse 2s infinite;
    text-decoration: none;
    z-index: 5;
}

.bannerWhatsappBtn img {
    width: 100%;
    object-fit: cover;
}


/* --------------------------------------------
 enquiryBtn
 -------------------------------------------- */
.enquiryBtn {
    /* position: absolute; */
    right: 2rem;
    bottom: 2rem;
    border-radius: 50px;
    text-decoration: none;
    /* width: 40px; */
    /* height: 40px; */
    display: flex;
    padding: 7px;
    justify-content: center;
    align-items: center;
    /* box-shadow: 0px 0px 25px -6px rgba(0,0,0,1); */
    animation: pulse 2s infinite;
    z-index: 99;
}

.enquiryBtn img {
    width: 100%;
    height: 100%;
    /* padding: 10px; */
    /* filter: invert(1); */
}

@keyframes btn-whats {
    10% {
        transform: translate(0, 200px);
    }

    50% {
        transform: translate(0, -40px);
    }

    70% {
        transform: scale(1.5);
    }
}

@keyframes pulse {
    50% {
        transform: scale(1.1);
    }
}






/* -----------------------------------------
 configurationBtmbox
  ----------------------------------------- */
.configurationBtmbox {
    margin-top: 4rem;
    position: relative;
    padding: 30px;
    padding-top: 85px;
    padding-bottom: 20px;
    border: 1px solid var(--primary-color);
    border: 4px solid red;
}

.bannerHighlightBox {
    width: 80%;
    background-color: var(--primary-color);
    color: var(--body-color);
    position: absolute;
    top: 0;
    background-color: var(--primary-color);
    padding: 8px;
    margin-bottom: 0;
    transform: translate(-50%, -50%);
    left: 50%;
}

.bannerHighlightBox p {
    color: var(--body-color);

}

.configurationBtmbox ul.keyhighlight-ul {
    margin-bottom: 20px;
    display: flex;
    flex-wrap: wrap;
    list-style: none;
    justify-content: center;
    gap: 15px;
}

.configurationBtmbox ul.keyhighlight-ul li {
    border-right: 1px solid var(--body-color);
    padding-right: 10px;
    font-size: 16px;
    font-weight: 600;
    text-transform: capitalize;
}

/*------------------------------------------------ 
overview
------------------------------------------------ */
.overview {
    /* position: relative; */
    overflow: hidden;
}

/* .overview .contentBox::before{
    content: "";
    position: absolute;
    inset: -40%; 
    background: url("../images/peacock-feather.png") bottom no-repeat;
    background-size: 20%;
    opacity: 0.03;
    z-index: -1;
    transform: translateY(var(--parallax-y, 0px));
    will-change: transform;
} */

.overview .contentBox {
    /* min-height: 300px; */
    padding: 4rem 0;
    position: relative;
    display: flex;
    justify-content: center;
    flex-direction: column;
    overflow: hidden;
    /* border: 1px solid red; */
}



.overview .contentBox p {
    text-align: center;
    color: var(--body-color) !important;
}



.overview .swiperContainer {
    width: 85%;
    position: relative;
    margin: 0 auto;
    /* margin-top: 1rem; */
    /* padding: 3rem; */
}

.overview .swiperContainer::before {
    content: '';
    position: absolute;
    inset: 0;
    width: 90%;
    margin: 0 auto;
    /* background-color: var(--body-light); */
    background-color: var(--primary-light);
}

/* Image box */
.overview .overviewBox .img {
    position: relative;
    overflow: hidden;
    width: 100%;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px, rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
}

.overview .overviewBox .img img {
    /* width: 100%;
    height: 100%; */
    aspect-ratio: 4/3;
    object-fit: cover;
    transition: transform 0.4s ease;
}

.overview .swiper-slide:hover img {
    transform: scale(1.1);
}

/* Overlay */
.overview .overviewBox .img::after {
    content: "";
    position: absolute;
    inset: 0;
    background-color: #0b3348bf;
}

.overview .swiper-slide-active .img::after {
    /* background: linear-gradient(to top, #00000059 10%, transparent 100%); */
    background: linear-gradient(to top, #00000091 10%, transparent 40%);
}

.overview .swiper-slide-active:hover .img::after {
    background: linear-gradient(to top, #0000007a 10%, transparent 40%);
}

/* Content */
.swiperContainer .content {
    position: absolute;
    bottom: 3%;
    left: 0;
    color: #fff;
    display: flex;
    align-items: center;
    width: 100%;
    /* transform: translateY(20px); */
    transition: transform 0.4s ease;
    justify-content: space-between;
    padding: 0 0.5rem;
}

/* .overview .overviewBox:hover .content {
    transform: translateY(0);overview
}
*/
.swiper-slide:nth-child(5) .content {
    left: 40%;
}

/* .overview .content span {
    font-size: 0.8rem;
    display: none;
} */

/* .swiperContainer:hover .content span {
    display: block;
    text-align: start;
} */

.swiperContainer .content p,
.swiperContainer .content span {
    font-weight: 300;
    letter-spacing: 1px;
    font-size: 0.8rem;
    color: var(--white) !important;
}

.overview .content span i {
    padding-right: 0.3rem;
}


/* Swiper spacing */
.overview .swiper-wrapper {
    padding: 5.6rem 0;
    /* border: 1px solid red; */
}

/* Active slide */
.overview .swiper-slide-active {
    z-index: 2;
    transform: scale(1.7);
    transition: transform 0.4s ease;
}

/* Learn more button */
.overview .learnMore {
    position: absolute;
    bottom: 7%;
    left: 4%;
    z-index: 3;
}

.overview .learnMore:nth-child(2) {
    position: absolute;
    right: 0;
}


/* Navigation */
.overview .swiper-button-next {
    right: 20%;
    /* top: 50%; */
    /* transform: translateY(-50%); */
}

.overview .swiper-button-prev {
    left: 20%;
    /* transform: translateY(-50%); */
    /* top: 50%; */
}


.overview .readmore {
    padding: 1.5rem 0;
}


/* -----------------------------------------------
stats
----------------------------------------------- */
/* .stateinnerbox {
    overflow: hidden;
} */
.stats {
    position: relative;
    /* background: url("../images/banner/banner1.jpg") center/cover no-repeat fixed; */
}

/* .stats::before{
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.781); 
} */

.stats>* {
    position: relative;
    z-index: 1;
}

.statsWrapper {
    display: flex;
    /* padding: 4rem 0; */
    /* margin-top: 4rem; */
    /* border-top: 1px solid rgba(255, 255, 255, 0.74); */
    /* border-image-source: linear-gradient(45deg, var(--secondary-gradient), var(--secondary-gradient)); */
    justify-content: center;
    /* border-top: 1px solid rgba(255, 255, 255, 0.507); */

}

.stats .inner {
    display: flex;
    flex-direction: column;
    color: var(--white);
    gap: 0.5rem;
}

.stats .inner h2 {
    color: var(--secondary-color);
    font-size: 0.9rem;
    line-height: 1.2rem;
}

.stats .inner span {
    font-size: 1.8rem;
    color: var(--secondary-color);
    font-family: var(--cinzel);
}


.stats .inner .reRaContent {
    gap: 1rem;
    display: flex;
}

.stats .inner .reRaContent h2 {
    text-align: end;
}

.stats .statsWrapper .reraImg {
    width: 60px;
}

.stats .statsWrapper .reraImg img {
    width: 100%;
}

/* -------------------------------------------
 clubhouse
 ------------------------------------------- */
.clubhouse .imgSection {
    width: 100%;
    height: 80vh;
}

.clubhouse .imgSection img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.clubhouse .imgContent {
    max-width: 700px;
    inset: 0;
    /* inset: auto;
    left: 50%;
    transform: translate(-50%);
    bottom: 5%; */
}

.clubhouse .imgContent h1 {
    font-size: 2rem;
}

/* clubSwiperBox */
.clubSwiperBox {
    position: relative;
    max-width: 1400px;
    margin: 3rem auto;
    margin-bottom: 0;
    padding-top: 5rem;
}

.clubSwiperBox .swiper-slide .img {
    width: 90px;
    height: 90px;
    transition: 0.3s ease;
    box-shadow: 0 0 10px rgba(0, 0, 0, .3);
    border-radius: var(--radius-1) var(--radius-2) var(--radius-3) var(--radius-4) / var(--radius-5) var(--radius-6) var(--radius-7) var(--radius-8);
    /* animation: l1 10s cubic-bezier(0.4, 0, 0.2, 1) infinite; */
    /* animation: l1 12s ease-in-out infinite; */
    /* animation: l1 3s infinite linear; */
}

.clubSwiperBox .swiper-slide .img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: var(--radius-1) var(--radius-2) var(--radius-3) var(--radius-4) / var(--radius-5) var(--radius-6) var(--radius-7) var(--radius-8);
    box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px, rgba(60, 64, 67, 0.15) 0px 2px 6px;
    display: block;
}

.clubSwiperBox .swiper-slide-active img {
    border-radius: 50% !important;
    transform: scale(2.4);
    transition: 0.3s ease;
}

.clubSwiperBox .swiper-slide-active .content span {
    margin-top: 5rem;
    display: block;
}

.clubSwiperBox .content {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

.clubSwiperBox .content span {
    margin-top: 1rem;
    display: block;
    font-size: 1rem;
    font-family: var(--cinzel);
    color: var(--secondary-color);
}


.clubSwiperBox .swiper-button-prev {
    left: 0;
}

.clubSwiperBox .swiper-button-next {
    right: 0;
}


@keyframes l1 {
    12.5% {
        border-radius: 37% 63% 70% 30% / 30% 62% 38% 70%
    }

    25% {
        border-radius: 50% 50% 70% 30% / 52% 62% 38% 48%
    }

    37.5% {
        border-radius: 33% 67% 18% 82% / 52% 75% 25% 48%
    }

    50% {
        border-radius: 73% 27% 18% 82% / 52% 32% 68% 48%
    }

    62.5% {
        border-radius: 73% 27% 74% 26% / 64% 32% 68% 36%
    }

    75% {
        border-radius: 84% 16% 15% 85% / 55% 79% 21% 45%
    }

    87.5% {
        border-radius: 12% 88% 69% 31% / 10% 66% 34% 90%
    }
}

/* -------------------------------------------
 features
 ------------------------------------------- */
.features {
    position: relative;
}

/* features */
.featBox .inner {
    height: 100%;
    width: 100%;
    aspect-ratio: 1/1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 1rem;
    margin-bottom: 0;
    background-color: var(--primary-color);
    transition: all 300ms ease-in-out;
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    position: relative;
    z-index: 1;
}

.featBox .inner .img {
    max-width: 55px;
    flex: 0 0 55px;
    margin-bottom: 15px;
    padding-bottom: 15px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.2);
    transition: all 300ms ease-in-out;
}

.featBox .inner .img img {
    width: 100%;
    margin: auto;
}

.featBox .inner .features-title {
    letter-spacing: 1px;
    font-size: 0.875rem;
    margin-bottom: 8px;
    text-align: center;
}

.features .featSlider {
    padding-bottom: 4rem;
    display: block;
}

/* features */



/* -------------------------------------------
 amenities
 ------------------------------------------- */
.amenities .innerbox {
    padding: 1rem;
    transition: transform 0.3s ease;
    overflow: hidden;
}

.amenities .innerbox .icon {
    width: 45px;
}

.amenities .innerbox .icon img {
    width: 100%;
}

.amenities p {
    margin-top: 10px;
}

/* -------------------------------------------
 floorplans
 ------------------------------------------- */
.floorplans {
    position: relative;
    z-index: 1;
}

.floorplans::before {
    position: absolute;
    content: '';
    inset: 0;
    background-image: url('../images/bg.webp');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    object-fit: cover;
    z-index: -1;
}

.floorplans .innerBox {
    background-color: var(--primary-light);
    padding: 1rem;
}


/* fpDetails */
.floorplans .fpDetails {
    display: flex;
    justify-content: space-around;
    margin-top: 1.3rem;
}

.floorplans .fpDetails .inner {
    display: flex;
    gap: 10px;
    align-items: center;
}

.floorplans .fpDetails .icon {
    width: 20px;
}

.floorplans .fpDetails .tyBox {
    width: 25px;
}

.floorplans .fptypes {
    color: var(--body-color);
    text-align: start;
}

.floorplans .fp-price {
    background-color: var(--secondary-color);
    padding: 1rem;
    margin-top: 20px;
    display: block;
    font-weight: 600;
}

/* .floorplans .fpSwiper{
    padding-bottom: 6rem;
} */

.floorplans .pagibox {
    width: 100%;
    margin-top: 40px;
    height: 100px;
    border-top: 1px solid var(--body-color);
    border-bottom: 1px solid var(--body-color);
}

.floorplans .swiper-button-next {
    /* right: 10px; */
    right: 30%;
}

.floorplans .swiper-button-prev {
    /* left: 10px; */
    left: 30%;
}


.floorplans .swiper-button-next,
.floorplans .swiper-button-prev {
    width: 40px;
    height: 40px;
    background-color: var(--primary-color);
    border-radius: 50%;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
    transition: all 0.3s ease;
    bottom: 30px;
    top: auto;
    position: absolute;
    z-index: 9999;
}

/* -------------------------------------------
galllery
------------------------------------------ */

.gallBox {
    height: 100%;
    transition: transform 0.3s ease;
}

.gallBox img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.gallSwiper .swiper-wrapper {
    transition-timing-function: linear !important;
}

/* ------------------------------------------------
location
------------------------------------------------ */
.location {
    overflow: hidden;
}

.location .map {
    position: relative;
    z-index: 1;
}

.location .map .img {
    width: 100%;
    height: 100%;
}

.location .map img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
}

.location .mapOverlay {
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, .5);
    display: grid;
    place-content: center;
    color: #fff;
    text-align: center;
    opacity: 0;
    transition: .3s;
    gap: 1rem;
}

.location .mapOverlay i {
    font-size: 2.5rem;
}

.location .map:hover .mapOverlay {
    opacity: 1;
}


/* --------------------------------------------------
 connectivityBox
 -------------------------------------------------- */
.connectivityBox {
    padding: 2rem;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem 2rem;
}

.connectivityBox .connectbox {
    padding: 1rem;
    display: flex;
    gap: 0.5rem;
    text-align: center;
    transition: transform 0.3s ease;
    align-items: center;
}

.connectivityBox img {
    width: 30px;
    /* height: 30px; */
}

.connectivityBox .connectbox .contentbox {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    padding: 0.2rem 0.5rem;
}

.connectivityBox .contentbox span {
    font-weight: 800;
}

.connectivityBox .contentbox span,
.connectivityBox .contentbox p {
    font-size: 1rem;
    font-weight: 500;
    color: var(--body-color);
    font-family: var(--cinzel);
    text-align: start;
}

/*--------------------------------------------------------------
footer
--------------------------------------------------------------*/
.footer {
    position: relative;
    overflow: hidden;
}

.footer .logo {
    padding: 0;
    display: flex;
    align-items: start;
    max-width: 150px;
    margin-bottom: 2rem;
}

.footer .logo img {
    width: 100%;
}
.footer h4 {
    font-size: 18px;
    font-weight: 600;
    position: relative;
    padding-bottom: 12px;
    color: var(--secondary-color);
}

.footer p {
    font-size: 14px;
}

.footer .footer-links .list li {
    list-style: none;
}

.footer .footer-links .list a {
    color: var(--body-color);
}

.footer .footer-links .list a:hover {
    color: var(--secondary-color);
}

.footer .footer-links .list li i {
    margin-right: 0.2rem;
    color: var(--secondary-color);
}

/* social-links */
.footer .social-links {
    display: flex;
    justify-content: flex-start;
    gap: 0.5rem;
}

.footer .social-links i {
    background-color: var(--secondary-color);
}

.footer .social-links i:hover {
    border: 1px solid rgba(0, 0, 0, 0.308);
}

/* footerBtm */
.footerBtm {
    display: flex;
    justify-content: space-between;
    border-top: 1px solid var(--secondary-color);
    padding-top: 2rem;
    margin-top: 2rem;
}

.footerBtm .reraBox {
    align-items: center;
}

.footerBtm .reraBox a {
    color: var(--secondary-color);
    font-weight: 500;
    cursor: default;
}



/* ---------------------------------------------------
footer-enquiryBtn
--------------------------------------------------- */
.footer-enquiryBtn {
    position: fixed;
    bottom: 2px;
    left: 2px;
    right: 2px;
    display: flex;
    justify-content: space-between;
    z-index: 99;
    background-color: var(--primary-color);
    box-shadow: 0 0 10px rgb(0 0 0 / 15%);
    text-align: center;
}

.footer-enquiryBtn a {
    color: var(--body-color);
    text-align: center;
    display: block;
    width: calc(100% / 2);
    padding: 8px 5px;
    border: 1px solid rgb(0 0 0 / 15%);
    border-left: 0;
}

.footer-enquiryBtn a.whatsCall {
    background: linear-gradient(45deg, #0db634, #015c16);
    border: 0;
    color: #fff;
}
/* customize modal */
.modal-backdrop.show {
  opacity: 1;
  background: rgb(0 10 12 / 95%);
  -webkit-backdrop-filter: blur(5px);
  backdrop-filter: blur(5px);
}

button.close {
  position: absolute;
  right: -20px;
  top: -20px;
  width: 40px;
  height: 40px;
  line-height: 40px;
  text-align: center;
  background-color: var(--accent);
  color: #000;
  opacity: 1;
  text-shadow: none;
}

.close:not(:disabled):not(.disabled):focus,
.close:not(:disabled):not(.disabled):hover {
  opacity: 1;
  background-color: rgb(141, 0, 0);
  color: #fff;
}

.modal-content {
  background-color: #fff;
  color: var(--primary);
  border: none;
  border-radius: 0;
}
.modal-dialog {
  max-width: 700px;
}
.modal-content .modal-header {
  padding: 0;
  border: none;
}
.modal-content button.close {
  position: absolute;
  top: -10px;
  right: -10px;
  padding: 0;
  margin: 0;
  width: 40px;
  height: 40px;
  z-index: 1;
  text-shadow: none;
  color: #fff;
  border-radius: 50%;
  border: 0;
  opacity: 1;
  z-index: 2;
}
.modal-header .close {
  color: #fff;
}
.modal-header {
  background: none;
  border: none;
}

.modal-logo img{
  max-width: 120px;
  margin: 0 auto;
}

.modal-title{
  padding-bottom: 1rem;
  line-height: normal;
  border-bottom: 1px dashed var(--accent);
}

.modal-icons{
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  gap: 1rem;
  padding: 1rem;
  background-color: var(--ternary);
  text-transform: uppercase;
}

.modal-icons .connectivity-box:last-child{
  border-bottom: 0;
  margin-bottom: 0;
  padding-bottom: 0;
}

.modal-icons .connectivity-box .location-text{
  font-size: .875rem;
}

.modal-body {
  padding: 1.5rem;
}
.modal-title {
    font-size: 18px;
    text-align: center;
}
/* customize modal */
.enquiryBtn {
	padding: 0 1rem;
}

.enquiryBtn a {
	display: block;
	width: 35px;
	height: 35px;
	line-height: 35px;
	border-radius: 50%;
	font-size: 20px;
	text-align: center;
	background: #faf7f2;
	color: #000000;
	box-shadow: 0 0 0 8px rgba(61, 251, 105, 0.45), 0 0 0 15px rgba(33, 164, 40, 0.63), 1rem 1rem 2rem rgb(0 0 0 / 25%);
	animation: enq 2s cubic-bezier(0.55, 0.76, 0.27, 1.29) infinite;
	position: relative;
	z-index: 1;
}

.enquiryBtn a:nth-child(2) {
	animation-delay: 0.5s;
	margin-bottom: 0;
	box-shadow: 0 0 0 8px rgba(61, 127, 251, 0.45), 0 0 0 15px rgb(11 107 235 / 63%), 1rem 1rem 2rem rgb(0 0 0 / 25%);
}

@keyframes enq {
	50% {
		box-shadow: 0 0 0 1px rgba(61, 127, 251, 0.45),
			0 0 0 0px rgb(11 107 235 / 63%), 1rem 1rem 2rem rgb(0 0 0 / 25%);
	}
}
